import { VidSourceBase } from './VidSourceBase';
export class VidMps extends VidSourceBase {
    constructor() {
        super();
        this.nativeGetMediaId = () => {
            return this.mMediaId;
        };
        this.nativeSetMediaId = (f39) => {
            this.mMediaId = f39;
        };
        this.nativeGetAccessKeyId = () => {
            return this.mAccessKeyId;
        };
        this.nativeSetAccessKeyId = (e39) => {
            this.mAccessKeyId = e39;
        };
        this.nativeGetAccessKeySecret = () => {
            return this.mAccessKeySecret;
        };
        this.nativeSetAccessKeySecret = (d39) => {
            this.mAccessKeySecret = d39;
        };
        this.nativeGetSecurityToken = () => {
            return this.mSecurityToken;
        };
        this.nativeSetSecurityToken = (c39) => {
            this.mSecurityToken = c39;
        };
        this.nativeGetRegion = () => {
            return this.mRegion;
        };
        this.nativeSetRegion = (b39) => {
            this.mRegion = b39;
        };
        this.nativeGetPlayDomain = () => {
            return this.mPlayDomain;
        };
        this.nativeSetPlayDomain = (a39) => {
            this.mPlayDomain = a39;
        };
        this.nativeGetAuthInfo = () => {
            return this.mAuthInfo;
        };
        this.nativeSetAuthInfo = (z38) => {
            this.mAuthInfo = z38;
        };
        this.nativeGetHlsUriToken = () => {
            return this.mHlsUriToken;
        };
        this.nativeSetHlsUriToken = (y38) => {
            this.mHlsUriToken = y38;
        };
        this.mMediaId = "";
        this.mAccessKeyId = "";
        this.mAccessKeySecret = "";
        this.mSecurityToken = "";
        this.mRegion = "";
        this.mPlayDomain = "";
        this.mAuthInfo = "";
        this.mHlsUriToken = "";
    }
    setQuality(g38, h38) {
        this.mQuality = g38;
        this.mForceQuality = h38;
    }
    getMediaId() {
        return this.mMediaId;
    }
    setMediaId(f38) {
        this.mMediaId = f38;
    }
    getAccessKeyId() {
        return this.mAccessKeyId;
    }
    setAccessKeyId(e38) {
        this.mAccessKeyId = e38;
    }
    getAccessKeySecret() {
        return this.mAccessKeySecret;
    }
    setAccessKeySecret(d38) {
        this.mAccessKeySecret = d38;
    }
    getSecurityToken() {
        return this.mSecurityToken;
    }
    setSecurityToken(c38) {
        this.mSecurityToken = c38;
    }
    getRegion() {
        return this.mRegion;
    }
    setRegion(b38) {
        this.mRegion = b38;
    }
    getPlayDomain() {
        return this.mPlayDomain;
    }
    setPlayDomain(a38) {
        this.mPlayDomain = a38;
    }
    getAuthInfo() {
        return this.mAuthInfo;
    }
    setAuthInfo(z37) {
        this.mAuthInfo = z37;
    }
    getHlsUriToken() {
        return this.mHlsUriToken;
    }
    setHlsUriToken(y37) {
        this.mHlsUriToken = y37;
    }
}
